ALTER CONVERSION()

NAME
ALTER CONVERSION - change the definition of a conversion

SYNOPSIS

ALTER CONVERSION name RENAME TO newname
ALTER CONVERSION name OWNER TO newowner

DESCRIPTION

ALTER CONVERSION changes the definition of a conversion.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing conversion.

newname
    The new name of the conversion.

newowner
    The new owner of the conversion. To change the owner of a conversion, you must be a superuser.

EXAMPLES

To rename the conversion iso_8859_1_to_utf_8 to latin1_to_unicode:

ALTER CONVERSION iso_8859_1_to_utf_8 RENAME TO latin1_to_unicode;

To change the owner of the conversion iso_8859_1_to_utf_8 to joe:

ALTER CONVERSION iso_8859_1_to_utf_8 OWNER TO joe;

COMPATIBILITY

There is no ALTER CONVERSION statement in the SQL standard.

SEE ALSO
CREATE CONVERSION [create_conversion(7)], DROP CONVERSION [drop_conversion(l)]